Subject: Re: bug#72341: VC: CVS template lines not stripped when committing

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Jul 2024 05:26:50 +0300

> Date: Sun, 28 Jul 2024 21:21:15 +0200
> From: Christoph Badura <[email-masked]>
> 
> CVS only adds the template file and later strips the "CVS: " lines if
> you actually edit the commit message in an editor (which is invoked by
> cvs).  I.e. if you do not pass a commit message via "cvs ci -m'message'"
> or "cvs ci -F messagefile".
> 
> > If "cvs ci -m" doesn't strip the "CVS: " lines, then when and how does
> > the stripping you describe at the beginning happens?  And what does
> > the last part of the last sentence above, about the template file
> > being loaded when CVS invokes an editor, has to do with this issue?
> 
> When invoked as "cvs ci -m" (or "cvs ci -F") cvs uses the commit message
> *as is*.  With either option, cvs itself doesn't add the template file to
> the commit message and hence doesn't have to do any stripping.
> 
> log-edit-insert-cvs-template adds the CVS template file to the commit
> message outside of cvs.  Therefore log-edit has to strip the "CVS: " lines
> outside of cvs too.
> 
> Is that clearer?

Somewhat clearer, thanks.  I don't see this stripping feature
documented in the CVS manual; did I miss something?

And one more questions: where do those "CVS:" lines come from when you
use the template file?